Glad You're Ready. Let's Get Started!

Let us know how we can contact you.

Thank you!

We'll respond shortly.

Standup 2010.07.14 Bastille Day Edition

Ask for Help

“What’s the best way to use Bundler and Rubymine?”

Rubymine 2.5 supposedly supports Bundler. Our default workstation install now uses RVM to manage Ruby interpreters & Gemsets, Rubymine 2.0 sees each interpreter/gemset as a separate Ruby SDK. So RVM manages our gem bundles.

Interesting Things

  • Nokogiri v1.4.2, really needs JRuby 1.5.1 to work properly

A JRuby project had an issue where they upgraded Nokogiri, but got a “Can’t find this function pointer” message. It turns out that the issue was an out-of-date libxml. The solution was to upgrade JRuby to 1.5.1, which they did with this addition to their Chef scripts:

execute "install_libxml2_2.7.6" do
  command 'ACCEPT_KEYWORDS="~amd64 ~x86" emerge =libxml2-2.7.6'
  not_if {"/var/db/pkg/dev-libs/libxml2-2.7.6") }

Post a Comment

Your Information (Name required. Email address will not be displayed with comment.)

* Copy This Password *

* Type Or Paste Password Here *